Some form elements in Administration area need labels

Bug #1265099 reported by Jono Mingard on 2013-12-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Robert Lyon

Bug Description

(Split from Bug #1259756 as Administration is not so much of a focus)

For people using screen readers, having a label for every form input is essential as they have no other (easy) way of knowing what the input is for. Currently there are various form fields in Mahara which do not have labels, so either existing labels need to be linked to these inputs or new (hidden) ones need to be created.

- "Name" and "Linked to" in /admin/site/menu.php
- Selection checkboxes when searching for users in /admin/users/search.php

Affects latest master

Robert Lyon (robertl-9) wrote :
Changed in mahara:
status: New → In Progress
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 1.9.0
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3092

Reviewed: https://reviews.mahara.org/3092
Committed: http://gitorious.org/mahara/mahara/commit/ed20c104e24dd567552cdddedfed87b484cbf0b9
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit ed20c104e24dd567552cdddedfed87b484cbf0b9
Author: Robert Lyon <email address hidden>
Date: Mon Mar 10 13:11:13 2014 +1300

Adding labels to the font forms (Bug #1265099)

For admin/site/font/edit.php
And admin/site/font/add.php
And admin/site/font/install.php

Signed-off-by: Robert Lyon <email address hidden>
Change-Id: I151402cad6f78ea5bae37018fa5230b22c5da46b

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3086
Committed: http://gitorious.org/mahara/mahara/commit/2c02b9ec256f37b56c4b880de9bbbe3d2de5998b
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 2c02b9ec256f37b56c4b880de9bbbe3d2de5998b
Author: Robert Lyon <email address hidden>
Date: Mon Mar 10 07:46:10 2014 +1300

Adding missing labels to the admin/users/search.php page (Bug #1265099)

Change-Id: I3a560ead5743a75fae0ee8242cb3b4284bdc5423
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2014-03-25
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/3293
Committed: http://gitorious.org/mahara/mahara/commit/2abc6e3eb7f47b66953b93c8013c106784480905
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 2abc6e3eb7f47b66953b93c8013c106784480905
Author: Robert Lyon <email address hidden>
Date: Mon Mar 10 13:11:13 2014 +1300

Adding labels to the font forms (Bug #1265099)

For admin/site/font/edit.php
And admin/site/font/add.php
And admin/site/font/install.php

Signed-off-by: Robert Lyon <email address hidden>
Change-Id: I151402cad6f78ea5bae37018fa5230b22c5da46b

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints